viewController.setObserver("prepaid-account-deposit", ({prepaid, paymentForm}) => {
    document.querySelector("#accountInformationPrepaid").innerHTML = prepaid.accountInformation;

    viewController.elementProperty.addEventInElement(".go-back", "onclick", function () {
        Route.backPage();
    });

    viewController.elementProperty.addEventInElement("#btnAnotherAccountDeposit", "onclick", function () {
        preload(true);
        PrepaidController
            .purchase({
                "creditPrepaidId": paymentForm.creditPrepaidId,
                "paymentFormId": paymentForm.paymentFormId,
                "cardId": null,
                "mpToken": null
            })
            .then(({status}) => {
                if (!status)
                    return SwalCustom.messageDialog("", "Não foi possível fazer a solicitação");

                SwalCustom.messageDialog(
                    "Esperando a confirmação de pagamento para libera o pré-pago",
                    "Solicitação de pré-pago feita com sucesso", undefined, "success");
                Route.backPage();
                Route.backPage();
            })
            .finally(() => {
                preload(false)
            })
    });

    function preload(status) {
        if (status) {
            window.plugins.spinnerDialog.show();
        } else {
            window.plugins.spinnerDialog.hide();
        }
    }
});